--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -46,7 +46,7 @@ else (USE_LIB64)
 		"Specify name of libdir inside install path")
 endif (USE_LIB64)
 
-set(SYSTEM_LIBRARIES ${SYSTEM_LIBRARIES})
+set(SYSTEM_LIBRARIES ${SYSTEM_LIBRARIES} -Wl,--as-needed -latomic)
 set(BINARY_LIBRARIES ${BINARY_LIBRARIES})
 
 include(GetGitRevisionDescription)
